<?php

/**
 * Newspapers x Theme: Block Patterns
 *
 * @package WordPress
 * @subpackage newspapersx
 * @since silk blog tr 1.0
 */

/**
 * Register Block Pattern Category.
 */
if (function_exists('register_block_pattern_category')) {

    register_block_pattern_category(
        'newspapersx',
        array('label' => __('Newspapers x', 'newspapers-x'))
    );
}

/**
 * Register Block Patterns.
 */
if (function_exists('register_block_pattern')) {

    register_block_pattern(
        'newspapersx/our-team-newspapersx',
        array(
            'title'      => __('Our Team', 'newspapers-x'),
            'categories' => array('newspapersx'),
            'content'    => ' <!-- wp:group {"style":{"spacing":{"padding":{"top":"100px","bottom":"100px","right":"30px","left":"30px"}},"border":{"width":"0px","style":"none"}},"backgroundColor":"background","className":"","layout":{"inherit":true,"type":"constrained"}} -->
            <div class="wp-block-group has-background-background-color has-background" style="border-style:none;border-width:0px;padding-top:100px;padding-right:30px;padding-bottom:100px;padding-left:30px"><!-- wp:group {"align":"wide","style":{"spacing":{"blockGap":"10px","padding":{"bottom":"30px"}}},"layout":{"inherit":false}} -->
            <div class="wp-block-group alignwide" style="padding-bottom:30px"><!-- wp:group {"style":{"spacing":{"blockGap":"0px","padding":{"top":"0px","right":"0px","bottom":"0px","left":"0px"}}},"layout":{"type":"flex","flexWrap":"nowrap","justifyContent":"center"}} -->
            <div class="wp-block-group" style="padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px"><!-- wp:group {"style":{"spacing":{"blockGap":"10px"}},"layout":{"inherit":true,"type":"constrained"}} -->
            <div class="wp-block-group"><!-- wp:group {"style":{"spacing":{"blockGap":"10px"}},"className":" ","layout":{"type":"flex","flexWrap":"nowrap","justifyContent":"center"}} -->
            <div class="wp-block-group"><!-- wp:paragraph {"textColor":"primary"} -->
            <p class="has-primary-color has-text-color">' . esc_html__('Team Members', 'newspapers-x') . '</p>
            <!-- /wp:paragraph --></div>
            <!-- /wp:group -->
            
            <!-- wp:heading {"textAlign":"center","style":{"typography":{"lineHeight":"1.3","textTransform":"capitalize"}},"textColor":"foreground","className":" ","fontSize":"slider-title"} -->
            <h2 class="has-text-align-center has-foreground-color has-text-color has-slider-title-font-size" style="line-height:1.3;text-transform:capitalize">' . esc_html__('The Management Team', 'newspapers-x') . '</h2>
            <!-- /wp:heading --></div>
            <!-- /wp:group --></div>
            <!-- /wp:group --></div>
            <!-- /wp:group -->
            
            <!-- wp:columns {"align":"wide","style":{"spacing":{"blockGap":"50px"}}} -->
            <div class="wp-block-columns alignwide"><!-- wp:column {"verticalAlignment":"top"} -->
            <div class="wp-block-column is-vertically-aligned-top"><!-- wp:group {"align":"wide","style":{"border":{"radius":"59px"},"spacing":{"blockGap":"0px","padding":{"top":"0px","right":"0px","bottom":"0px","left":"0px"}}},"backgroundColor":"white","className":"has-shadow-dark  ","layout":{"inherit":true,"type":"constrained"}} -->
            <div class="wp-block-group alignwide has-shadow-dark has-white-background-color has-background" style="border-radius:59px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px">
            <!-- wp:cover {"url":"' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team1.jpeg","id":91,"dimRatio":40,"focalPoint":{"x":"0.20","y":"0.49"},"minHeight":508,"minHeightUnit":"px","customGradient":"linear-gradient(180deg,rgba(8,8,8,0.2) 8%,rgb(1,1,1) 100%)","contentPosition":"bottom center","className":"grayscale image-zoom-hover"} -->
            <div class="wp-block-cover has-custom-content-position is-position-bottom-center grayscale image-zoom-hover" style="min-height:508px"><span aria-hidden="true" class="wp-block-cover__background has-background-dim-40 has-background-dim wp-block-cover__gradient-background has-background-gradient" style="background:linear-gradient(180deg,rgba(8,8,8,0.2) 8%,rgb(1,1,1) 100%)"></span>
            <img class="wp-block-cover__image-background wp-image-91" alt="" src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team1.jpeg" style="object-position:20% 49%" data-object-fit="cover" data-object-position="20% 49%"/>
            <div class="wp-block-cover__inner-container">
            <!-- wp:group {"style":{"spacing":{"padding":{"top":"20px","right":"20px","bottom":"20px","left":"20px"},"blockGap":"15px"},"border":{"radius":"0px"}}} -->
            <div class="wp-block-group" style="border-radius:0px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px"><!-- wp:paragraph {"align":"center","textColor":"primary"} -->
            <p class="has-text-align-center has-primary-color has-text-color">' . esc_html__('Designer', 'newspapers-x') . '</p>
            <!-- /wp:paragraph -->
            
            <!-- wp:heading {"textAlign":"center","level":3} -->
            <h3 class="has-text-align-center"><a href="#">' . esc_html__('John Smith', 'newspapers-x') . '</a></h3>
            <!-- /wp:heading --></div>
            <!-- /wp:group --></div></div>
            <!-- /wp:cover --></div>
            <!-- /wp:group --></div>
            <!-- /wp:column -->
            
            <!-- wp:column {"verticalAlignment":"top"} -->
            <div class="wp-block-column is-vertically-aligned-top"><!-- wp:group {"align":"wide","style":{"border":{"radius":"0px"},"spacing":{"blockGap":"0px","padding":{"top":"0px","right":"0px","bottom":"0px","left":"0px"}}},"backgroundColor":"white","className":"has-shadow-dark  ","layout":{"inherit":true,"type":"constrained"}} -->
            <div class="wp-block-group alignwide has-shadow-dark has-white-background-color has-background" style="border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px">
            <!-- wp:cover {"url":"' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team1.jpeg","id":92,"dimRatio":40,"focalPoint":{"x":"0.20","y":"0.49"},"minHeight":508,"minHeightUnit":"px","customGradient":"linear-gradient(180deg,rgba(8,8,8,0.2) 8%,rgb(1,1,1) 100%)","contentPosition":"bottom center","className":"grayscale image-zoom-hover"} -->
            <div class="wp-block-cover has-custom-content-position is-position-bottom-center grayscale image-zoom-hover" style="min-height:508px"><span aria-hidden="true" class="wp-block-cover__background has-background-dim-40 has-background-dim wp-block-cover__gradient-background has-background-gradient" style="background:linear-gradient(180deg,rgba(8,8,8,0.2) 8%,rgb(1,1,1) 100%)"></span>
            <img class="wp-block-cover__image-background wp-image-92" alt="" src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team1.jpeg" style="object-position:20% 49%" data-object-fit="cover" data-object-position="20% 49%"/><div class="wp-block-cover__inner-container"><!-- wp:group {"style":{"spacing":{"padding":{"top":"20px","right":"20px","bottom":"20px","left":"20px"},"blockGap":"5px"},"border":{"radius":"0px"}}} -->
            <div class="wp-block-group" style="border-radius:0px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px"><!-- wp:paragraph {"align":"center","textColor":"primary"} -->
            <p class="has-text-align-center has-primary-color has-text-color">' . esc_html__('Co-Founder', 'newspapers-x') . '</p>
            <!-- /wp:paragraph -->
            
            <!-- wp:heading {"textAlign":"center","level":3,"style":{"spacing":{"margin":{"top":"0px","right":"0px","bottom":"0px","left":"0px"}}}} -->
            <h3 class="has-text-align-center" style="margin-top:0px;margin-right:0px;margin-bottom:0px;margin-left:0px"><a href="#">' . esc_html__('Miley Cirus', 'newspapers-x') . 'Miley Cirus</a></h3>
            <!-- /wp:heading --></div>
            <!-- /wp:group --></div></div>
            <!-- /wp:cover --></div>
            <!-- /wp:group --></div>
            <!-- /wp:column -->
            
            <!-- wp:column {"verticalAlignment":"top"} -->
            <div class="wp-block-column is-vertically-aligned-top"><!-- wp:group {"align":"wide","style":{"border":{"radius":"0px"},"spacing":{"blockGap":"0px","padding":{"top":"0px","right":"0px","bottom":"0px","left":"0px"}}},"backgroundColor":"white","className":"has-shadow-dark  ","layout":{"inherit":true,"type":"constrained"}} -->
            <div class="wp-block-group alignwide has-shadow-dark has-white-background-color has-background" style="border-radius:0px;padding-top:0px;padding-right:0px;padding-bottom:0px;padding-left:0px">
            <!-- wp:cover {"url":"' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team1.jpeg","id":94,"dimRatio":40,"focalPoint":{"x":"0.20","y":"0.49"},"minHeight":508,"minHeightUnit":"px","customGradient":"linear-gradient(180deg,rgba(8,8,8,0.2) 8%,rgb(1,1,1) 100%)","contentPosition":"bottom center","className":"grayscale image-zoom-hover"} -->
            <div class="wp-block-cover has-custom-content-position is-position-bottom-center grayscale image-zoom-hover" style="min-height:508px"><span aria-hidden="true" class="wp-block-cover__background has-background-dim-40 has-background-dim wp-block-cover__gradient-background has-background-gradient" style="background:linear-gradient(180deg,rgba(8,8,8,0.2) 8%,rgb(1,1,1) 100%)"></span>
            <img class="wp-block-cover__image-background wp-image-94" alt="" src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/team1.jpeg" style="object-position:20% 49%" data-object-fit="cover" data-object-position="20% 49%"/><div class="wp-block-cover__inner-container"><!-- wp:group {"style":{"spacing":{"padding":{"top":"20px","right":"20px","bottom":"20px","left":"20px"},"blockGap":"5px"},"border":{"radius":"0px"}}} -->
            <div class="wp-block-group" style="border-radius:0px;padding-top:20px;padding-right:20px;padding-bottom:20px;padding-left:20px"><!-- wp:paragraph {"align":"center","textColor":"primary"} -->
            <p class="has-text-align-center has-primary-color has-text-color">' . esc_html__('Business Strategy', 'newspapers-x') . '</p>
            <!-- /wp:paragraph -->
            
            <!-- wp:heading {"textAlign":"center","level":3,"style":{"spacing":{"margin":{"top":"0px","right":"0px","bottom":"0px","left":"0px"}}}} -->
            <h3 class="has-text-align-center" style="margin-top:0px;margin-right:0px;margin-bottom:0px;margin-left:0px"><a href="#"> ' . esc_html__('Theme Design', 'newspapers-x') . '</a></h3>
            <!-- /wp:heading --></div>
            <!-- /wp:group --></div></div>
            <!-- /wp:cover --></div>
            <!-- /wp:group --></div>
            <!-- /wp:column --></div>
            <!-- /wp:columns --></div>
            <!-- /wp:group -->
           ',
        )
    );
    register_block_pattern(
        'newspapersx/call-toaction-newspapersx',
        array(
            'title'      => __('Call To action', 'newspapers-x'),
            'categories' => array('newspapersx'),
            'content'    => ' <!-- wp:group {"align":"full","layout":{"type":"flex","flexWrap":"nowrap","justifyContent":"center"}} -->
            <div class="wp-block-group alignfull"><!-- wp:columns {"verticalAlignment":"center"} -->
            <div class="wp-block-columns are-vertically-aligned-center"><!-- wp:column {"verticalAlignment":"center","layout":{"type":"constrained","wideSize":"50vw","contentSize":"50vw"}} -->
            <div class="wp-block-column is-vertically-aligned-center"><!-- wp:image {"align":"center","width":400,"height":600,"sizeSlug":"full","linkDestination":"none"} -->
            <figure class="wp-block-image aligncenter size-full is-resized">
            <img src="' . esc_url(get_stylesheet_directory_uri()) . '/assets/images/feature.jpeg" alt="" width="400" height="600"/></figure>
            <!-- /wp:image --></div>
            <!-- /wp:column -->
            
            <!-- wp:column {"verticalAlignment":"center","layout":{"type":"default"}} -->
            <div class="wp-block-column is-vertically-aligned-center"><!-- wp:heading -->
            <h2>' . esc_html__('Typography &amp; colour systems', 'newspapers-x') . '</h2>
            <!-- /wp:heading -->
            
            <!-- wp:separator {"align":"wide","className":"is-style-wide"} -->
            <hr class="wp-block-separator alignwide has-alpha-channel-opacity is-style-wide"/>
            <!-- /wp:separator -->
            
            <!-- wp:paragraph -->
            <p>' . esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis eget ligula ultricies, sodales massa at, vehicula libero. Curabitur vehicula luctus elit a sagittis.&nbsp;', 'newspapers-x') . '</p>
            <!-- /wp:paragraph -->
            
            <!-- wp:buttons {"layout":{"type":"flex","justifyContent":"left"},"style":{"spacing":{"blockGap":"var:preset|spacing|30"}},"fontSize":"medium"} -->
            <div class="wp-block-buttons has-custom-font-size has-medium-font-size"><!-- wp:button {"style":{"border":{"radius":"5px"},"color":{"background":"#076ba600"}},"className":"is-style-outline","fontSize":"medium"} -->
            <div class="wp-block-button has-custom-font-size is-style-outline has-medium-font-size">
            <a class="wp-block-button__link has-background wp-element-button" style="border-radius:5px;background-color:#076ba600">' . esc_html__('Primary', 'newspapers-x') . '</a></div>
            <!-- /wp:button -->
            
            <!-- wp:button {"backgroundColor":"white","style":{"border":{"radius":"5px"}},"className":"is-style-outline"} -->
            <div class="wp-block-button is-style-outline"><a class="wp-block-button__link has-white-background-color has-background wp-element-button" style="border-radius:5px">' . esc_html__('Secondary', 'newspapers-x') . '</a></div>
            <!-- /wp:button --></div>
            <!-- /wp:buttons --></div>
            <!-- /wp:column --></div>
            <!-- /wp:columns --></div>
            <!-- /wp:group -->
           ',
        )
    );
    register_block_pattern(
        'newspapersx/fotter-action-newspapersx',
        array(
            'title'      => __('footer section', 'newspapers-x'),
            'categories' => array('newspapersx'),
            'content'    => ' <!-- wp:columns {"verticalAlignment":"center","align":"wide","backgroundColor":"lighter-blue"} -->
            <div class="wp-block-columns alignwide are-vertically-aligned-center has-lighter-blue-background-color has-background"><!-- wp:column {"verticalAlignment":"center"} -->
            <div class="wp-block-column is-vertically-aligned-center"><!-- wp:paragraph {"style":{"typography":{"lineHeight":"2"}}} -->
            <p style="line-height:2"><strong>' . esc_html__('Location:', 'newspapers-x') . '</strong><br>' . esc_html__('82 Main St. Brooklyn, NY', 'newspapers-x') . '</p>
            <!-- /wp:paragraph --></div>
            <!-- /wp:column -->
            
            <!-- wp:column {"verticalAlignment":"center"} -->
            <div class="wp-block-column is-vertically-aligned-center"><!-- wp:paragraph {"style":{"typography":{"lineHeight":"2"}}} -->
            <p style="line-height:2"><strong>' . esc_html__('Date:', 'newspapers-x') . '</strong><br>' . esc_html__('October 24, 2021', 'newspapers-x') . '</p>
            <!-- /wp:paragraph --></div>
            <!-- /wp:column -->
            
            <!-- wp:column {"verticalAlignment":"center"} -->
            <div class="wp-block-column is-vertically-aligned-center"><!-- wp:buttons -->
            <div class="wp-block-buttons"><!-- wp:button {"width":100,"style":{"color":{"text":"#efefef","gradient":"linear-gradient(135deg,rgb(16,17,17) 0%,rgb(155,81,224) 100%)"}}} -->
            <div class="wp-block-button has-custom-width wp-block-button__width-100"><a class="wp-block-button__link has-text-color has-background wp-element-button" style="color:#efefef;background:linear-gradient(135deg,rgb(16,17,17) 0%,rgb(155,81,224) 100%)">' . esc_html__('Buy Now', 'newspapers-x') . '</a></div>
            <!-- /wp:button --></div>
            <!-- /wp:buttons --></div>
            <!-- /wp:column --></div>
            <!-- /wp:columns -->
           ',
        )
    );
}
