<?php

/**
 * Theme functions and definitions
 *
 * @package Newspapers X
 */
if (!function_exists('newspapersx_enqueue_styles')) :
	/**
	 * @since 0.4
	 */
	function newspapersx_enqueue_styles()
	{
		wp_enqueue_style('newspaperss-style-parent', get_template_directory_uri() . '/style.css');
		wp_enqueue_style('topnews-style', get_stylesheet_directory_uri() . '/style.css', array('newspaperss-style-parent'), '1.0');
	}

endif;
add_action('wp_enqueue_scripts', 'newspapersx_enqueue_styles', 9999);


/**
 * Block Patterns.
 */
require get_theme_file_path('/block-patterns.php');

/* Remove parent theme page templates */
function topnewspaper_remove_page_templates($page_templates)
{
	unset($page_templates['header.php']);
	return $page_templates;
}
add_filter('theme_page_templates', 'topnewspaper_remove_page_templates');
